% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/predict.BMASEM.R
\name{predict.BMASEM}
\alias{predict.BMASEM}
\title{Model Predictions}
\usage{
predict.BMASEM(object, newdata, level = 0.9, bma.model = 0, ...)
}
\arguments{
\item{object}{object of type 'BMASEM'.}

\item{newdata}{a data frame containing observations on variables from which the predict variables are to be 
selected or constructed from a formula.}

\item{level}{a predictive interval.}

\item{bma.model}{a selected model for prediction: 0 for the BMASEM (averaged coefficients), 
1 for the Model1 (the best model's coefficients).}

\item{...}{other parameters to be passed to predict.default.}
}
\value{
The predicted values and the upper and lower credible interval 
for each observation in newdata.
}
\description{
predict.BMASEM predicts new final y observations for new data from the results of model fitting function, BMASEM.
}
\details{
This function predicts the response resulting from the BMASEM.
}
\examples{
from.vars <- c("x1","x1","x2","x2","y1")
to.vars   <- c("y1","y2","y1","y2","y2")
start.link <- c(1, 0, 0, 1, 1) # an example
model <- BMASEM (from.vars, to.vars, data=train, start.link=start.link)
pred.y <- predict(model, test) 
pred.y$fit
pred.y$lwr
pred.y$upr 
}
